# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectContainerFactory

Packages that use ISharedObjectContainerFactory
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of ISharedObjectContainerFactory in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectContainerFactory
Modifier and Type
Class
Description
`class`
`SharedObjectContainerFactory`
Factory for creating `ISharedObjectContainer` instances.
Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectContainerFactory
Modifier and Type
Field
Description
`protected static ISharedObjectContainerFactory`
SharedObjectContainerFactory.`instance`
Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectContainerFactory
Modifier and Type
Method
Description
`static ISharedObjectContainerFactory`
SharedObjectContainerFactory.`getDefault()`